#include <cstdlib>
#include <GL/glut.h>

void menu (int mode)
{ 
  switch(mode)
  { 
    case 0: exit(EXIT_SUCCESS);
  }
}


void reshape(int iw, int ih)
{  
  glViewport(0, 0, (GLint)iw, (GLint)ih);
  glMatrixMode(GL_PROJECTION);
  glLoadIdentity();
  if (iw>ih) 
  {
    GLfloat w = (GLfloat) iw / (GLfloat) ih;
    gluOrtho2D(-w, w, -1.0, 1.0);
  }
  else 
  {
    GLfloat h = (GLfloat) ih / (GLfloat) iw;
    gluOrtho2D(-1.0, 1.0, -h, h);
  }
  glMatrixMode(GL_MODELVIEW);
  glLoadIdentity();
}
