#include <fstream>
#include <list>
#include <set>        // sortierte Folgen
#include <map>        // assoziative Container  A[ index ]
#include <string>
#include "point.h"

using namespace std;

typedef list<Point>    Polygon;

int
main()
{
  set< double,  less<double> >  S;
  //     |           |
  // value type   compare
  S.insert( istream_iterator<double>(cin), 
            istream_iterator<double>() );
  copy(S.begin(), S.end(), ostream_iterator<double>(cout,"\n")); 
        
  

  map< string,  Polygon, less<string> >  Flusspolygon;
  //    |                     |
  // key type              compare
  //
  //   pair<string, Polygon>
  //              |
  //          value type
  Polygon R;
  ifstream F("Rhein.dat");
  copy( istream_iterator<Point>(F),
        istream_iterator<Point>(),
        back_inserter( R));

  Flusspolygon.insert( make_pair<string,Polygon>("Rhein",R)); 
  
  Polygon P = Flusspolygon["Rhein"];

  return 0;
}
